Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.p
Class PIConfig

    java.lang.Object
      igeo.p.PIConfig

    public class PIConfig

extends java.lang.Object

Configuration setting class for the processing interface piGeon.

Author:
  Satoru Sugihara

Field Summary
`static boolean` | `drawBeforeProcessing` This boolean flag specifies the order of drawing of iGeo and Processing.
`static boolean` | `resetGLDepthAfter` A boolean flag to switch for PIGraphicsGL to clear OpenGL's GL_DEPTH_BUFFER_BIT after drawing iGeo's geometries.
`static boolean` | `resetGLDepthBefore` A boolean flag to switch for PIGraphicsGL to clear OpenGL's GL_DEPTH_BUFFER_BIT before drawing iGeo's geometries.
`static boolean` | `resizable` A switch to enable resizing the frame (window).
`static boolean` | `restoreGLViewport` restore Processing's original viewport in case some GL drawing is done in original Processing before iGeo.

Constructor Summary
`PIConfig()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### drawBeforeProcessing

    public static boolean drawBeforeProcessing

  This boolean flag specifies the order of drawing of iGeo and Processing. If it's true iGeo is drawn before Processing's draw() method. Otherwise, drawn after Processing's draw() method. Default is true.

### resetGLDepthBefore

    public static boolean resetGLDepthBefore

  A boolean flag to switch for PIGraphicsGL to clear OpenGL's GL_DEPTH_BUFFER_BIT before drawing iGeo's geometries. Default is true.

### resetGLDepthAfter

    public static boolean resetGLDepthAfter

  A boolean flag to switch for PIGraphicsGL to clear OpenGL's GL_DEPTH_BUFFER_BIT after drawing iGeo's geometries. Default is true.

### resizable

    public static boolean resizable

  A switch to enable resizing the frame (window). Default true.

### restoreGLViewport

    public static boolean restoreGLViewport

  restore Processing's original viewport in case some GL drawing is done in original Processing before iGeo. Warning: if this option is true, runtime resizing of window will crash.

Constructor Detail

### PIConfig

    public PIConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD